%Biaxial

UNOD=gefread('BXNMC2_SAVE UNOD');
Time=gefread('BXNMC2_SAVE TIME');

figure
plot(10*Time,1e-3*squeeze(UNOD(4,7,:)),'LineWidth',2)
xlabel('step')
ylabel('u_w [kPa]')
title('Pore pressure at node 4')
grid on

return

data.filename='BXNMC2';
data.win=[.5 1. .5 1.];
data.var=1:8;
data.pos=0;
data.group=1;
[POS,HIST]=gef_hist_intpoints(data);

Ezz=squeeze(HIST(1,6,:));
Q=squeeze(HIST(1,2,:))-squeeze(HIST(1,1,:));
figure
plot(-Ezz,-1e-3*Q,'LineWidth',2)
xlabel('\epsilon_{zz} [-]')
ylabel('q [kPa]')
grid on

Eyy=squeeze(HIST(1,5,:));
figure
plot(-Ezz,-(Ezz+Eyy),'LineWidth',2)
xlabel('\epsilon_{zz} [-]')
ylabel('\epsilon_v [-]')
set(gca,'YDir','Reverse')
grid on

return

%Triaxial

data.filename='TRXNMC2';
data.win=[.5 1. .5 1.];
data.var=1:9;
data.pos=0;
data.group=1;
[POS,HIST]=gef_hist_intpoints(data);

Ezz=squeeze(HIST(1,6,:));
Q=squeeze(HIST(1,2,:))-squeeze(HIST(1,1,:));
figure
plot(-Ezz,-1e-3*Q,'LineWidth',2)
xlabel('\epsilon_{zz} [-]')
ylabel('q [kPa]')
grid on

Eyy=squeeze(HIST(1,5,:));
Exx=squeeze(HIST(1,8,:));

figure
plot(-Ezz,-(Ezz+Eyy+Exx),'LineWidth',2)
xlabel('\epsilon_{zz} [-]')
ylabel('\epsilon_v [-]')
set(gca,'YDir','Reverse')
grid on
